Package org.apache.sling.cms.reference.forms

## Interface FormRequest

    public interface FormRequest

A service interface for registering form actions. Each implementation class should be registered with an "actionResourceType" property to link the configuration resource to the implementation for executing the action.

### Method Summary

All Methods Instance Methods Abstract Methods
`org.apache.sling.api.resource.ValueMap` `getFormData()`
`org.apache.sling.api.resource.Resource` `getFormResource()`
`org.apache.sling.api.SlingHttpServletRequest` `getOriginalRequest()`
`String` `getSessionId()`

### Method Detail

#### getFormData

    org.apache.sling.api.resource.ValueMap getFormData()

#### getFormResource

    org.apache.sling.api.resource.Resource getFormResource()

#### getOriginalRequest

    org.apache.sling.api.SlingHttpServletRequest getOriginalRequest()

#### getSessionId

    String getSessionId()